# WOK
TKWOKTcl
WOKTCL

# WOKTCL_Interpretor Class Reference

`#include <WOKTCL_Interpretor.hxx>`

Inheritance diagram for WOKTCL_Interpretor:

[legend]

## Public Member Functions

Standard_EXPORT | WOKTCL_Interpretor ()
Standard_EXPORT | WOKTCL_Interpretor (const WOKTclTools_PInterp &anInterp)
Standard_EXPORT void | Add (const Standard_CString Command, const Standard_CString Help, const WOKAPI_APICommand &Function, const Standard_CString Group="WOK Command")
Standard_EXPORT const WOKAPI_Session & | Session () const
Standard_EXPORT WOKAPI_Session & | ChangeSession ()
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

WOKAPI_Session | mysession

## Constructor & Destructor Documentation

Standard_EXPORT WOKTCL_Interpretor::WOKTCL_Interpretor | ( |  | ) |

Standard_EXPORT WOKTCL_Interpretor::WOKTCL_Interpretor | ( | const WOKTclTools_PInterp & | anInterp | ) |

## Member Function Documentation

Standard_EXPORT void WOKTCL_Interpretor::Add | ( | const Standard_CString | Command,
|  | const Standard_CString | Help,
|  | const WOKAPI_APICommand & | Function,
|  | const Standard_CString | Group = `"WOK Command"`
| ) |

Standard_EXPORT WOKAPI_Session& WOKTCL_Interpretor::ChangeSession | ( |  | ) |

Standard_EXPORT const WOKTCL_Interpretor::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from WOKTclTools_Interpretor.

Standard_EXPORT const WOKAPI_Session& WOKTCL_Interpretor::Session | ( |  | ) | const

## Field Documentation

WOKAPI_Session WOKTCL_Interpretor::mysession `[private]`

The documentation for this class was generated from the following file:

- WOKTCL_Interpretor.hxx